# knewstuff Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNS Namespace Reference

Handles security releated issues, like signing, verifying. More...

## Classes

class | DownloadDialog
| Common download dialog for data browsing and installation. More...
class | Engine
| Central class combining all possible KNewStuff operations. More...
class | Entry
| KNewStuff data entry container. More...
class | Provider
| KNewStuff provider container. More...
class | ProviderLoader
| KNewStuff provider loader. More...
class | ProviderDialog
| Dialog displaying a list of Hotstuff providers. More...
class | UploadDialog
| KNewStuff file upload dialog. More...

## Functions

class KDE_EXPORT KAction * | standardAction (const QString &what, const QObject *recvr, const char *slot, KActionCollection *parent, const char *name=0)

## Detailed Description

Handles security releated issues, like signing, verifying.

It is a private class, not meant to be used by third party applications.

Author:
  Andras Mantia <amantia@kde.org>

This file is part of the documentation for knewstuff Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003